using System;
using System.Collections.Generic;
using System.Text;

namespace AttributeFactory
{
    //     
    [AttributeUsage(AttributeTargets.Class |
        AttributeTargets.Struct |
        AttributeTargets.Interface,
        AllowMultiple = true,
        Inherited = true)]
    public class Product : Attribute
    {
        //    @abstract		
        //     
        //  
        public Product(Type Abstract, Type concrete)
        {
            _abstract = Abstract;
            _concrete = concrete;
        }

        private Type _abstract;

        public Type Abstract
        {
            get { return _abstract; }
            set { _abstract = value; }
        }

        private Type _concrete;

        public Type Concrete
        {
            get { return _concrete; }
            set { _concrete = value; }
        }
    }
}
