using System;
using System.Collections.Generic;
using System.Text;

namespace PrototypeFactory
{
    public class MotifToolkit : AbstractFactory,
        IFactoryMethod<Button>,
        IFactoryMethod<Edit>
    {
        private Button buttonPrototype;

        Button IFactoryMethod<Button>.Prototype
        {
            get { return buttonPrototype; }
            set { buttonPrototype = value; }
        }

        private Edit editPrototype;

        Edit IFactoryMethod<Edit>.Prototype
        {
            get { return editPrototype; }
            set { editPrototype = value; }
        }
    }
}
