using System;
using System.Collections.Generic;
using System.Text;

namespace Factory
{
    public interface ICloneFactory : IAbstractFactory
    {
        void SetPrototype<T>(T prototype)
            where T : ICloneable;

        T GetPrototype<T>()
            where T : ICloneable;
    }
}
