using System;
using System.Collections.Generic;
using System.Text;

namespace Factory
{
    class Program
    {
        static void Main(string[] args)
        {
            ICloneFactory cloneFactory = new GUIToolkit();
            cloneFactory.SetPrototype<Button>(new StyledButton());

            IAbstractFactory factory = cloneFactory;

            Edit edit = factory.Create<Edit>();
            Button button = factory.Create<Button>();
        }
    }
}
