using System;
using System.Collections.Generic;
using System.Text;

namespace GenericFactory
{
    public class MotifToolkit : AbstractFactory,
        IFactoryMethod<Button>,
        IFactoryMethod<Edit>
    {
        Button IFactoryMethod<Button>.Create()
        {
            return new MotifButton();
        }

        Edit IFactoryMethod<Edit>.Create()
        {
            return new MotifEdit();
        }
    }
}
